pushd `dirname $0` > /dev/null
MY_DIR=`pwd`
popd > /dev/null
source $MY_DIR/_inc_constants.sh

WORKING_DIR_PATH="code_lenka/"
FOLDER_NAME="taskDiscovery"

robotId=$1

if [ "${robotId}" == "" ]; then
	echo "!!! Specify robot id"
	
else
	echo ">>> Running program on robot ${robotId}"
	ssh root@192.168.20.${robotId} "cd ${WORKING_DIR_PATH}/${FOLDER_NAME}/bin; ./Controller" &
fi